Page MenuHomePhabricator

Change default value of $wgPropertySuggesterClassifyingPropertyIds to [ 31, 279 ]
Closed, ResolvedPublic

Description

PropertySuggester's extension.json currently sets PropertySuggesterClassifyingPropertyIds to [ 31 ]: https://github.com/Wikidata-lib/PropertySuggester/blob/master/extension.json. However, PropertySuggester-Python's analyzer.ini sets it to [ 31, 279 ], see https://github.com/Wikidata-lib/PropertySuggester-Python/blob/master/propertysuggester/analyzer/analyzer.ini.

These two settings need to be consistent, otherwise the data generated by the python script will not be interpreted correctly by the PHP code of the MediaWIki extension. Having different defaults for this setting is asking for trouble (which we are indeed in now, see T168434).

Event Timeline

daniel created this task.Jun 28 2017, 11:43 AM
daniel claimed this task.Jun 28 2017, 11:53 AM

Change 366864 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/extensions/PropertySuggester@master] Add P279 to PropertySuggesterClassifyingPropertyIds per default.

https://gerrit.wikimedia.org/r/366864

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 4:18 PM

Change 366864 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] Add P279 to PropertySuggesterClassifyingPropertyIds per default.

https://gerrit.wikimedia.org/r/366864

hoo closed this task as Resolved.Jul 24 2017, 9:51 PM
hoo moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.